Bug 29813 - Отсутствует libip6t_NETFLOW.so
: Отсутствует libip6t_NETFLOW.so
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iptables)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
: 29804
: 23202 29803 30940
  Show dependency tree
 
Reported: 2014-02-07 11:42 by
Modified: 2015-07-05 21:36 (History)


Attachments
добавление libip6t_NETFLOW.so (4.34 KB, patch)
2015-06-29 14:59, Sergey Y. Afonin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-02-07 11:42:31
Судя по всему, из-за этого не работает -j NETFLOW для IPv6: Bug 29803. И, при
этом, получается, что надо разобраться с Bug 29419 (Comment #3).

Может, стоит lib*_NETFLOW.so в отдельный пакет вынести, если столько разных
kernel-source ?
------- Comment #1 From 2014-03-04 12:51:02 -------
Собрал lib*_NETFLOW.so из текущего снапшота ipt_NETFLOW. Вроде работает,
старому ipt_NETFLOW из std-def не мешает.
------- Comment #2 From 2014-08-15 15:39:27 -------
Пора делать:

commit 6875a308f08326200fa56b35bfff546d3e993fdf
Author: ABC <abc telekom.ru>
Date:   Thu Aug 7 08:05:08 2014 +0400

    Release 2.0
------- Comment #3 From 2014-11-05 02:34:13 -------
ipt_NETFLOW 2.x с поддержкой IPv6 уже присутствует в ядрах led-ws, un-def и
std-pae. Пора уже...
------- Comment #4 From 2015-06-29 14:59:28 -------
Created an attachment (id=6312) [details]
добавление libip6t_NETFLOW.so

Вот так вот, вроде бы, всё работает. Или самому NMU сделать ?
------- Comment #5 From 2015-07-01 12:33:22 -------
А не правильней ли было бы вместо этого патча просто сделать
sed s/NFPROTO_IPV4/NFPROTO_IPV6/ extensions/libipt_NETFLOW.c >
extensions/libip6t_NETFLOW.c
?
------- Comment #6 From 2015-07-01 14:27:48 -------
Да, так тоже работает. Мой вариант просто не требовал изучения особенностей
написания дополнительных модулей для iptables, а надо было, чтобы уже работало.
------- Comment #7 From 2015-07-02 01:31:23 -------
iptables-1.4.21-alt3 -> sisyphus:

* Wed Jul 01 2015 Dmitry V. Levin <ldv@altlinux> 1.4.21-alt3
- Packaged libip6t_NETFLOW.so (closes: #29813).